RHEL 6 : devtoolset-2-httpcomponents-client (RHSA-2014:1098)

Medium Nessus Plugin ID 79042


The remote Red Hat host is missing one or more security updates.


Updated devtoolset-2-httpcomponents-client packages that fix one security issue are now available for Red Hat Developer Toolset 2.

Red Hat Product Security has rated this update as having Important security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

HttpClient is an HTTP/1.1 compliant HTTP agent implementation based on httpcomponents HttpCore.

It was discovered that the HttpClient incorrectly extracted host name from an X.509 certificate subject's Common Name (CN) field. A man-in-the-middle attacker could use this flaw to spoof an SSL server using a specially crafted X.509 certificate. (CVE-2012-6153)

This issue was discovered by Florian Weimer of Red Hat Product Security.

For additional information on this flaw, refer to the Knowledgebase article in the References section.

All devtoolset-2-httpcomponents-client users are advised to upgrade to these updated packages, which contain a backported patch to correct this issue.


Update the affected devtoolset-2-httpcomponents-client and / or devtoolset-2-httpcomponents-client-javadoc packages.

See Also




Plugin Details

Severity: Medium

ID: 79042

File Name: redhat-RHSA-2014-1098.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2014/11/08

Modified: 2017/01/06

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:devtoolset-2-httpcomponents-client, p-cpe:/a:redhat:enterprise_linux:devtoolset-2-httpcomponents-client-javadoc, cpe:/o:redhat:enterprise_linux:6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2014/08/26

Reference Information

CVE: CVE-2012-6153

BID: 69257

OSVDB: 87160

RHSA: 2014:1098